# PhasicFlow: pFlow::sphereParticlesKernels Namespace Reference

pFlow::sphereParticlesKernels Namespace Reference

## Typedefs

using | rpAcceleration = Kokkos::RangePolicy< DefaultExecutionSpace, Kokkos::Schedule< Kokkos::Static >, Kokkos::IndexType< int32 > >

## Functions

template<typename IncludeFunctionType >
void | acceleration (realx3 g, deviceViewType1D< real > mass, deviceViewType1D< realx3 > force, deviceViewType1D< real > I, deviceViewType1D< realx3 > torque, IncludeFunctionType incld, deviceViewType1D< realx3 > lAcc, deviceViewType1D< realx3 > rAcc)

## Typedef Documentation

## rpAcceleration

using rpAcceleration = Kokkos::RangePolicy< DefaultExecutionSpace, Kokkos::Schedule<Kokkos::Static>, Kokkos::IndexType<int32> >

Definition at line 31 of file sphereParticlesKernels.hpp.

## Function Documentation

## acceleration()

void pFlow::sphereParticlesKernels::acceleration | ( | realx3 | g,
|  | deviceViewType1D< real > | mass,
|  | deviceViewType1D< realx3 > | force,
|  | deviceViewType1D< real > | I,
|  | deviceViewType1D< realx3 > | torque,
|  | IncludeFunctionType | incld,
|  | deviceViewType1D< realx3 > | lAcc,
|  | deviceViewType1D< realx3 > | rAcc
| ) |  |

Definition at line 34 of file sphereParticlesKernels.hpp.

References LAMBDA_HD.

Referenced by dynamicPointStructure::correct(), sphereParticles::iterate(), and dynamicPointStructure::predict().

Here is the caller graph for this function: